Bug 2731 - MacOSX 10.4 client hangs
MacOSX 10.4 client hangs
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.14a
All FreeBSD
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-20 06:52 UTC by Nicolas KOWALSKI
Modified: 2005-09-07 07:16 UTC (History)
1 user (show)

See Also:


Attachments
mangled tethereal output (5.09 KB, text/plain)
2005-06-09 20:08 UTC, Alex Satrapa
no flags Details
smbd log level 10 (59.32 KB, text/plain)
2005-06-15 00:26 UTC, Nicolas KOWALSKI
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas KOWALSKI 2005-05-20 06:52:29 UTC
When trying to access a Samba server from a MacOSX tiger client, the client just
hangs (finder must be relaunched).

On the server, I see these messages in the log concerning this client:

[2005/05/19 16:02:46, 0] rpc_parse/parse_prs.c:prs_mem_get(537)
  prs_mem_get: reading data of size 2 would overrun buffer.
[2005/05/19 16:02:46, 0] rpc_server/srv_pipe.c:api_pipe_bind_req(919)
  api_pipe_bind_req: unable to unmarshall RPC_HDR_RB struct.


On a MacOSX < 10.4 client, there is no problem to access the server, as well as
with Windows XP/2000/98 clients.

The server is member of a Samba-controlled domain. Its config file contains:

[global]

        workgroup = <MYDOMAIN>
        security = DOMAIN
        encrypt passwords = true
        passdb backend = tdbsam
        password server = <MYPDC>
        load printers = No
        unix charset = ISO8859-1
        dns proxy = No
        wins server = <MYPDC>
        hosts deny = ALL
        hosts allow = <MYNETWORK>
        log level = 1
        log file = /var/log/samba/%I.log
        socket options = TCP_NODELAY SO_SNDBUF=8192 SO_RCVBUF=8192
        invalid users = root

[homes]
        comment = Home Directories
        path = /home/%u
        read only = No
        browseable = No
        create mask = 0644
        directory mask = 0755

[public]
        comment = Public area
        path = /export/local/common/public
        read only = No
        create mask = 0644
        directory mask = 0755


Am I doing something wrong ?

Thanks,

-- 
Nicolas
Comment 1 Alex Satrapa 2005-06-09 19:55:13 UTC
One user-contributed article on the Apple support site indicates that the problem is specific to 3.0.14a: 
http://discussions.info.apple.com/webx?13@606.FndTaVDB3Oh.1@.68afd31b/2 - this is bad news for 
Debian users, since that's the version of Samba that ships with Debian at the moment.

An alternative to relaunching Finder is to kill the mount_smbfs process.

Another alternative is to use smbclient (which works fine) rather than Finder to access Samba shares.

On my machine (Mac OS X 10.4.1), mount_smbfs is version 1.1.0, and the BUGS section of the man 
page indicates that this is an Apple-specific build of that software.
Comment 2 Alex Satrapa 2005-06-09 20:08:39 UTC
Created attachment 1267 [details]
mangled tethereal output 

Short output from tethereal showing interactio between Mac OS X 10.4 and Samba
3.0.14a.

This is only packet types and summary information provided by tethereal. More
detail can be provided on request.
Comment 3 Jeremy Allison 2005-06-09 20:22:52 UTC
I think I may have fixed this in SAMBA_3_0 and HEAD SVN.
Can you please check out and test this branch to make sure.
Jeremy.
Comment 4 Nicolas KOWALSKI 2005-06-15 00:26:08 UTC
Created attachment 1274 [details]
smbd log level 10

Sorry for the long time before this reply; I had to wait for a MacOSX computer
back in my lab...

Unfortunately, with 3.0.20pre1-SVN-build-7454, the hang on the MacOSX computer
still happens. 

I have attached a log level 10 of the Samba server when the client tries to
connect.

Thanks.
Comment 5 Alex Satrapa 2005-06-16 22:55:06 UTC
I'm still trying to get the CVS version imported into a Debian package so that I can safely install and 
remove it. More news as it comes to hand.
Comment 6 Conrad Minshall 2005-06-17 16:40:06 UTC
Jeremy provided a small additional patch today.  The essence of it is that "num_contexts" needed to be a 
uint8 rather than uint32.
Comment 7 Alex Satrapa 2005-07-04 23:54:43 UTC
(In reply to comment #6)
> Jeremy provided a small additional patch today.  The essence of it is that "num_contexts" needed to 
be a 
> uint8 rather than uint32.

I'm still doing battle with subversion and dpkg-buildpackage. When I get a clean package build, I'll be 
testing it on my set up and reporting back.
Comment 8 Alex Satrapa 2005-07-05 21:21:56 UTC
Note that a workaround is to use the "Connect to server..." (Command+K) facility in Finder. You can 
connect to Samba shares directly, but not through the network browser window.
Comment 9 Ryan Winter 2005-08-13 10:35:12 UTC
(In reply to comment #8)
> Note that a workaround is to use the "Connect to server..." (Command+K)
facility in Finder. You can 
> connect to Samba shares directly, but not through the network browser window.

This workaround doesnt work for me, I just get a "Connecting" dialog that never
connects with the same original messages in the log.
Comment 10 Alex Satrapa 2005-08-31 00:36:59 UTC
(In reply to comment #9)
> This workaround doesnt work for me ...

I wonder what the difference is? I'm using Mac OS X 10.4.2, the server is Debian "Sarge" running a 
custom kernel (Linux mendel 2.4.27 #1 Wed Nov 3 11:27:48 EST 2004 i686 GNU/Linux). Debian Samba 
package version 3.0.14a-3.

I'm still struggling with time here at work, but I'm planning on testing out those patches RSN.
Comment 11 Nicolas KOWALSKI 2005-09-07 07:01:55 UTC
I tried connecting with a MacOS 10.4 client to a samba 3.0.20 server. 
It works perfectly, using the following methods:

1) with the finder network browser (used to not work)

2) with Command-K + smb://server (used to not work)

3) with Command-K + smb://server/share (used to work)


:-) :-)

Time to upgrade all my servers !

Best regards,
Nicolas
Comment 12 Gerald (Jerry) Carter 2005-09-07 07:16:07 UTC
verified fix in 3.0.20